VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Monitoring::MonitoredItem Class Reference
Inheritance diagram for Com::Vmware::Appliance::Monitoring::MonitoredItem:

## Avaliable Methods
public method | set_category ()
public method | set_description ()
public method | set_instance ()
public method | get_id ()
public method | set_name ()
public method | set_id ()
public method | set_units ()
public method | get_units ()
public method | get_description ()
public method | get_category ()
public method | new ()
public method | get_instance ()
public method | get_name ()

## Detailed Description

`Com::Vmware::Appliance::Monitoring::MonitoredItem` class Structure representing requested monitored item data.

## Member Function Documentation

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::get_category | ( |  | ) |

Gets the value of 'category' property.

Return values

  category | - The current value of the field. category Ex: network, storage etc String#

Code:
click to view
# Number of lines of code in get_category: 4
sub get_category {
my ($self, %args) = @_;
return $self->{'category'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. monitored item description Ex: com.vmware.applmgmt.mon.descr.net.rx.packetRate.eth0 String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. monitored item ID Ex: CPU, MEMORY ID#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::get_instance | ( |  | ) |

Gets the value of 'instance' property.

Return values

  instance | - The current value of the field. instance name Ex: eth0 String#

Code:
click to view
# Number of lines of code in get_instance: 4
sub get_instance {
my ($self, %args) = @_;
return $self->{'instance'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. monitored item name Ex: "Network write speed" String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::get_units | ( |  | ) |

Gets the value of 'units' property.

Return values

  units | - The current value of the field. Y-axis label EX: "Mbps", "%" String#

Code:
click to view
# Number of lines of code in get_units: 4
sub get_units {
my ($self, %args) = @_;
return $self->{'units'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Monitoring::MonitoredItem structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{id} = $args{'id'};
$self->{name} = $args{'name'};
$self->{units} = $args{'units'};
$self->{category} = $args{'category'};
$self->{instance} = $args{'instance'};
$self->{description} = $args{'description'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Monitoring::MonitoredItem');
$self->set_binding_name('name' => 'com.vmware.appliance.monitoring.monitored_item');
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'units', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'category', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'instance', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::set_category | ( |  | ) |

Sets the given value for 'category' property.

Parameters

  category | - New value for the field. category Ex: network, storage etc

Code:
click to view
# Number of lines of code in set_category: 5
sub set_category {
my ($self, %args) = @_;
$self->{'category'} = $args{'category'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. monitored item description Ex: com.vmware.applmgmt.mon.descr.net.rx.packetRate.eth0

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. monitored item ID Ex: CPU, MEMORY

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::set_instance | ( |  | ) |

Sets the given value for 'instance' property.

Parameters

  instance | - New value for the field. instance name Ex: eth0

Code:
click to view
# Number of lines of code in set_instance: 5
sub set_instance {
my ($self, %args) = @_;
$self->{'instance'} = $args{'instance'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. monitored item name Ex: "Network write speed"

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItem::set_units | ( |  | ) |

Sets the given value for 'units' property.

Parameters

  units | - New value for the field. Y-axis label EX: "Mbps", "%"

Code:
click to view
# Number of lines of code in set_units: 5
sub set_units {
my ($self, %args) = @_;
$self->{'units'} = $args{'units'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Monitoring.pm